<?php
// -----------------------------------------------------------------------
//
// $Id: news.php 155 2012-03-26 11:44:16Z raoul $
//
// Copyright (C) 2003-2012 Raoul Proena
// License: GNU GPL version 3 (see copying.txt file)
// Website: http://www.gnew.fr/
//
// -----------------------------------------------------------------------
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// -----------------------------------------------------------------------

include('./../includes/common.php');

page_header($lang['ADMIN_NEWS_TITLE']);

// Moderator ?
if ($users['user_level'] > 1)
{
    // Add submitted form
    if (isset($_GET['action']) && $_GET['action'] == 'add_submitted_news')
    {
        if (!empty($_GET['news_id']))
        {
            $sql->query('SELECT ' . TABLE_CATEGORIES . '.category_id, ' . TABLE_NEWS . '.news_source, ' . TABLE_NEWS . '.news_subject, ' . TABLE_NEWS . '.news_text
                         FROM ' . TABLE_CATEGORIES . ', ' . TABLE_NEWS . '
                         WHERE ' . TABLE_CATEGORIES . '.category_id = ' . TABLE_NEWS . '.category_id
                         AND ' . TABLE_NEWS . '.news_id = \'' . $_GET['news_id'] . '\'');
            $table_news = $sql->fetch();
            // Check news
            if (!$table_news['category_id'])
            {
                error_template($lang['ADMIN_QUERY_ERROR']);
            }
            else
            {
                $category_id_options = '';
                $sql->query('SELECT category_id, category_name
                             FROM ' . TABLE_CATEGORIES . '
                             WHERE category_level IN (\'0\', \'2\')
                             ORDER BY category_name');
                while ($table_categories = $sql->fetch())
                {
                    if ($table_categories['category_id'] == $table_news['category_id'])
                    {
                        $category_id_options .= '<option value="' . $table_categories['category_id'] . '" selected="selected">' . $table_categories['category_name'] . '</option>';
                    }
                    else
                    {
                        $category_id_options .= '<option value="' . $table_categories['category_id'] . '">' . $table_categories['category_name'] . '</option>';
                    }
                }
                if ($settings['allow_html'] == 0)
                {
                    $html_support = $lang['HTML_DISABLED'];
                }
                else
                {
                    $html_support = $lang['HTML_ENABLED'];
                }
                $news_text = undo_smilies($table_news['news_text']);
                $news_text = undo_bbcodes($news_text);
                $news_source = undo_bbcodes($table_news['news_source']);
                $template->set_file('admin', 'admin/news/add_submitted.htpl');
                $template->set_var(array('ADD' => $lang['ADD'],
                                         'ADMIN_NEWS_HEADER3' => $lang['ADMIN_NEWS_HEADER3'],
                                         'BACK_ADMIN_INDEX' => $lang['BACK_ADMIN_INDEX'],
                                         'CATEGORY_ID_OPTIONS' => $category_id_options,
                                         'FORM_NEWS_CATEGORY' => $lang['FORM_NEWS_CATEGORY'],
                                         'FORM_NEWS_SOURCE' => $lang['FORM_NEWS_SOURCE'],
                                         'FORM_NEWS_SUBJECT' => $lang['FORM_NEWS_SUBJECT'],
                                         'FORM_NEWS_TEXT' => $lang['FORM_NEWS_TEXT'],
                                         'HTML_SUPPORT' => $html_support,
                                         'NEWS_ID' => $_GET['news_id'],
                                         'NEWS_SOURCE' => $news_source,
                                         'NEWS_SUBJECT' => $table_news['news_subject'],
                                         'NEWS_TEXT' => $news_text,
                                         'PREVIEW' => $lang['PREVIEW'],
                                         'SMILIES_LIST' => get_smilies_list(0)));
                $template->parse('admin');
            }
        }
        else
        {
            error_template($lang['ADMIN_QUERY_ERROR']);
        }
    }
    // Add (or preview) ?
    elseif (isset($_POST['add_news']) || isset($_POST['preview_news']))
    {
        $error = '';
        // Categories not created yet ?
        if (empty($_POST['category_id']))
        {
            $error .= $lang['NO_CATEGORY_NAME'];
        }
        if (!trim($_POST['news_subject']))
        {
            $error .= $lang['NO_NEWS_SUBJECT'];
        }
        if (!trim($_POST['news_text']))
        {
            $error .= $lang['NO_NEWS_TEXT'];
        }
        if ($error)
        {
            error_template($error);
        }
        else
        {
            $news_subject = chars2entities($_POST['news_subject'], ENT_QUOTES);
            if ($settings['allow_html'] == 0)
            {
                $news_source = chars2entities($_POST['news_source'], ENT_QUOTES);
                $news_text = chars2entities($_POST['news_text'], ENT_QUOTES);
            }
            else
            {
                $news_source = do_html($_POST['news_source']);
                $news_text = do_html($_POST['news_text']);
            }
            $temp = $news_source;
            $temp2 = $news_text;
            $news_source = make_clickable($news_source);
            $news_text = make_clickable($news_text);
            $news_source = do_bbcodes($news_source);
            $news_text = do_bbcodes($news_text);
            if ($settings['allow_smilies'] != 0)
            {
                $news_text = do_smilies($news_text);
            }
            // Preview form
            if (isset($_POST['preview_news']))
            {
                $date_format = get_date_format();
                $date_offset = get_date_offset();
                $news_date = date($date_format, (time() + $date_offset));
                // News (HTML)
                $news_subject = stripslashes($news_subject);
                if (!empty($_POST['news_source']))
                {
                    $news_source = stripslashes($news_source);
                    $news_source = undo_escape_sequences($news_source);
                    $news_source = sprintf($lang['NEWS_INDEX_SOURCE'], $news_source);
                }
                else
                {
                    $news_source = '<!-- empty -->';
                }
                $news_text = stripslashes($news_text);
                $news_text = undo_escape_sequences($news_text);
                // Form
                $news_source2 = stripslashes($temp);
                $news_text2 = stripslashes($temp2);
                if ($settings['allow_html'] == 0)
                {
                    $html_support = $lang['HTML_DISABLED'];
                }
                else
                {
                    $html_support = $lang['HTML_ENABLED'];
                }
                $category_id_options = '';
                $sql->query('SELECT category_id, category_image, category_name
                             FROM ' . TABLE_CATEGORIES . '
                             WHERE category_level IN (\'0\', \'2\')
                             ORDER BY category_name');
                while ($table_categories = $sql->fetch())
                {
                    if ($table_categories['category_id'] == $_POST['category_id'])
                    {
                        $category_id_options .= '<option value="' . $table_categories['category_id'] . '" selected="selected">' . $table_categories['category_name'] . '</option>';
                        $category_image = $table_categories['category_image'];
                        $category_name = $table_categories['category_name'];
                    }
                    else
                    {
                        $category_id_options .= '<option value="' . $table_categories['category_id'] . '">' . $table_categories['category_name'] . '</option>';
                    }
                }
                $template->set_file('admin', 'admin/news/preview.htpl');
                $template->set_var(array('ADD' => $lang['ADD'],
                                         'ADMIN_NEWS_HEADER1' => $lang['ADMIN_NEWS_HEADER1'],
                                         'ADMIN_NEWS_RELEASE' => sprintf($lang['ADMIN_NEWS_RELEASE'], $_SESSION['user_id'], $users['user_name'], $news_date),
                                         'BACK_ADMIN_INDEX' => $lang['BACK_ADMIN_INDEX'],
                                         'CATEGORY_ID' => $_POST['category_id'],
                                         'CATEGORY_ID_OPTIONS' => $category_id_options,
                                         'CATEGORY_IMAGE' => $category_image,
                                         'CATEGORY_NAME' => $category_name,
                                         'FORM_NEWS_CATEGORY' => $lang['FORM_NEWS_CATEGORY'],
                                         'FORM_NEWS_SOURCE' => $lang['FORM_NEWS_SOURCE'],
                                         'FORM_NEWS_SUBJECT' => $lang['FORM_NEWS_SUBJECT'],
                                         'FORM_NEWS_TEXT' => $lang['FORM_NEWS_TEXT'],
                                         'HTML_SUPPORT' => $html_support,
                                         'NEWS_COMMENTS' => 0,
                                         'NEWS_INDEX_COMMENT' => $lang['NEWS_INDEX_COMMENT'],
                                         'NEWS_INDEX_SEND' => $lang['NEWS_INDEX_SEND'],
                                         'NEWS_SUBJECT' => $news_subject,
                                         'NEWS_SOURCE' => $news_source,
                                         'NEWS_SOURCE2' => $news_source2,
                                         'NEWS_TEXT' => $news_text,
                                         'NEWS_TEXT2' => $news_text2,
                                         'PREVIEW' => $lang['PREVIEW'],
                                         'SMILIES_LIST' => get_smilies_list(0)));
                $template->parse('admin');
            }
            // Add form
            else
            {
                $sql->query('INSERT INTO ' . TABLE_NEWS . ' (category_id, user_id, news_active, news_subject, news_text, news_source, news_date, news_month, news_year)
                             VALUES (\'' . $_POST['category_id'] . '\', \'' . $_SESSION['user_id'] . '\', \'1\', \'' . $news_subject . '\', \'' . $news_text . '\', \'' . $news_source . '\', \'' . time() . '\', \'' . date('m', time()) . '\', \'' . date('Y', time()) . '\')');
                $sql->query('UPDATE ' . TABLE_CATEGORIES . '
                             SET category_news = category_news + 1
                             WHERE category_id = \'' . $_POST['category_id'] . '\'');
                make_news_rss();
                success_template($lang['ADMIN_NEWS_ADDED'], './../admin/index.php');
            }
        }
    }
    // Add (or preview) submitted ?
    elseif (isset($_POST['add_submitted_news']) || isset($_POST['preview_submitted_news']))
    {
        $error = '';
        if (!trim($_POST['news_subject']))
        {
            $error .= $lang['NO_NEWS_SUBJECT'];
        }
        if (!trim($_POST['news_text']))
        {
            $error .= $lang['NO_NEWS_TEXT'];
        }
        if ($error)
        {
            error_template($error);
        }
        else
        {
            $news_subject = chars2entities($_POST['news_subject'], ENT_QUOTES);
            if ($settings['allow_html'] == 0)
            {
                $news_source = chars2entities($_POST['news_source'], ENT_QUOTES);
                $news_text = chars2entities($_POST['news_text'], ENT_QUOTES);
            }
            else
            {
                $news_source = do_html($_POST['news_source']);
                $news_text = do_html($_POST['news_text']);
            }
            $temp = $news_source;
            $temp2 = $news_text;
            $news_source = make_clickable($news_source);
            $news_text = make_clickable($news_text);
            $news_source = do_bbcodes($news_source);
            $news_text = do_bbcodes($news_text);
            if ($settings['allow_smilies'] != 0)
            {
                $news_text = do_smilies($news_text);
            }
            // Preview form
            if (isset($_POST['preview_submitted_news']))
            {
                $date_format = get_date_format();
                $date_offset = get_date_offset();
                $news_date = date($date_format, (time() + $date_offset));
                // News (HTML)
                $news_subject = stripslashes($news_subject);
                if (!empty($_POST['news_source']))
                {
                    $news_source = stripslashes($news_source);
                    $news_source = undo_escape_sequences($news_source);
                    $news_source = sprintf($lang['NEWS_INDEX_SOURCE'], $news_source);
                }
                else
                {
                    $news_source = '<!-- empty -->';
                }
                $news_text = stripslashes($news_text);
                $news_text = undo_escape_sequences($news_text);
                // Form
                $news_source2 = stripslashes($temp);
                $news_text2 = stripslashes($temp2);
                if ($settings['allow_html'] == 0)
                {
                    $html_support = $lang['HTML_DISABLED'];
                }
                else
                {
                    $html_support = $lang['HTML_ENABLED'];
                }
                $category_id_options = '';
                $sql->query('SELECT category_id, category_image, category_name
                             FROM ' . TABLE_CATEGORIES . '
                             WHERE category_level IN (\'0\', \'2\')
                             ORDER BY category_name');
                while ($table_categories = $sql->fetch())
                {
                    if ($table_categories['category_id'] == $_POST['category_id'])
                    {
                        $category_id_options .= '<option value="' . $table_categories['category_id'] . '" selected="selected">' . $table_categories['category_name'] . '</option>';
                        $category_image = $table_categories['category_image'];
                        $category_name = $table_categories['category_name'];
                    }
                    else
                    {
                        $category_id_options .= '<option value="' . $table_categories['category_id'] . '">' . $table_categories['category_name'] . '</option>';
                    }
                }
                $template->set_file('admin', 'admin/news/preview_submitted.htpl');
                $template->set_var(array('ADD' => $lang['ADD'],
                                         'ADMIN_NEWS_HEADER1' => $lang['ADMIN_NEWS_HEADER1'],
                                         'ADMIN_NEWS_RELEASE' => sprintf($lang['ADMIN_NEWS_RELEASE'], $_SESSION['user_id'], $users['user_name'], $news_date),
                                         'BACK_ADMIN_INDEX' => $lang['BACK_ADMIN_INDEX'],
                                         'CATEGORY_ID' => $_POST['category_id'],
                                         'CATEGORY_ID_OPTIONS' => $category_id_options,
                                         'CATEGORY_IMAGE' => $category_image,
                                         'CATEGORY_NAME' => $category_name,
                                         'FORM_NEWS_CATEGORY' => $lang['FORM_NEWS_CATEGORY'],
                                         'FORM_NEWS_SOURCE' => $lang['FORM_NEWS_SOURCE'],
                                         'FORM_NEWS_SUBJECT' => $lang['FORM_NEWS_SUBJECT'],
                                         'FORM_NEWS_TEXT' => $lang['FORM_NEWS_TEXT'],
                                         'HTML_SUPPORT' => $html_support,
                                         'NEWS_COMMENTS' => 0,
                                         'NEWS_ID' => $_POST['news_id'],
                                         'NEWS_INDEX_COMMENT' => $lang['NEWS_INDEX_COMMENT'],
                                         'NEWS_INDEX_SEND' => $lang['NEWS_INDEX_SEND'],
                                         'NEWS_SOURCE' => $news_source,
                                         'NEWS_SOURCE2' => $news_source2,
                                         'NEWS_SUBJECT' => $news_subject,
                                         'NEWS_TEXT' => $news_text,
                                         'NEWS_TEXT2' => $news_text2,
                                         'PREVIEW' => $lang['PREVIEW'],
                                         'SMILIES_LIST' => get_smilies_list(0)));
                $template->parse('admin');
            }
            // Add form
            else
            {
                $sql->query('UPDATE ' . TABLE_NEWS . '
                             SET category_id = \'' . $_POST['category_id'] . '\', news_active = \'1\', news_subject = \'' . $news_subject . '\', news_text = \'' . $news_text . '\', news_source = \'' . $news_source . '\', news_date = \'' . time() . '\', news_month = \'' . date('m', time()) . '\', news_year = \'' . date('Y', time()) . '\'
                             WHERE news_id = \'' . $_POST['news_id'] . '\'');
                $sql->query('UPDATE ' . TABLE_CATEGORIES . '
                             SET category_news = category_news + 1
                             WHERE category_id = \'' . $_POST['category_id'] . '\'');
                make_news_rss();
                success_template($lang['ADMIN_NEWS_ADDED'], './../admin/index.php');
            }
        }
    }
    // News list
    elseif (isset($_GET['action']) && $_GET['action'] == 'view_news')
    {
        // Create pages list
        if (empty($_GET['page']))
        {
            $_GET['page'] = 1;
        }
        $news_per_page = $settings['news_per_page'];
        $news_offset = ($_GET['page'] - 1) * $news_per_page;
        $sql->query('SELECT news_id
                     FROM ' . TABLE_NEWS . '
                     WHERE news_active = \'1\'');
        $num_news = $sql->num_rows();
        $num_pages = ceil($num_news / $news_per_page);
        $pages_list = get_pages_list('./../admin/news.php?action=view_news&amp;', $num_pages);

        $date_format = get_date_format();
        $date_offset = get_date_offset();
        $template->set_file('admin', 'admin/news/view.htpl');
        $template->set_block('admin', 'NEWS_BLOCK', 'news');
        $sql->query('SELECT ' . TABLE_NEWS . '.news_date, ' . TABLE_NEWS . '.news_id, ' . TABLE_NEWS . '.news_subject, ' . TABLE_USERS . '.user_id, ' . TABLE_USERS . '.user_name
                     FROM ' . TABLE_NEWS . ', ' . TABLE_USERS . '
                     WHERE ' . TABLE_NEWS . '.news_active = \'1\'
                     AND ' . TABLE_NEWS . '.user_id = ' . TABLE_USERS . '.user_id
                     ORDER BY ' . $settings['news_order'] . ' DESC
                     LIMIT ' . $news_offset . ', ' . $news_per_page);
        while ($table_news = $sql->fetch())
        {
            $news_date = date($date_format, ($table_news['news_date'] + $date_offset));
            $template->set_var(array('DELETE' => $lang['DELETE'],
                                     'EDIT' => $lang['EDIT'],
                                     'NEWS_ID' => $table_news['news_id'],
                                     'NEWS_RELEASE' => sprintf($lang['ADMIN_NEWS_RELEASE'], $table_news['user_id'], $table_news['user_name'], $news_date),
                                     'NEWS_SUBJECT' => $table_news['news_subject']));
            $template->parse('NEWS_BLOCK', 'news', true);
        }
        $template->set_var(array('ADMIN_NEWS_HEADER4' => $lang['ADMIN_NEWS_HEADER4'],
                                 'ADMIN_NEWS_PAGES' => sprintf($lang['ADMIN_NEWS_PAGES'], $pages_list),
                                 'BACK_ADMIN_INDEX' => $lang['BACK_ADMIN_INDEX']));
        $template->parse('admin');
    }
    // Submitted news list
    elseif (isset($_GET['action']) && $_GET['action'] == 'view_submitted_news')
    {
        // Create pages list
        if (empty($_GET['page']))
        {
            $_GET['page'] = 1;
        }
        $news_per_page = $settings['news_per_page'];
        $news_offset = ($_GET['page'] - 1) * $news_per_page;
        $sql->query('SELECT news_id
                     FROM ' . TABLE_NEWS . '
                     WHERE news_active = \'0\'');
        $num_news = $sql->num_rows();
        $num_pages = ceil($num_news / $news_per_page);
        $pages_list = get_pages_list('./../admin/news.php?action=view_submitted_news&amp;', $num_pages);

        $date_format = get_date_format();
        $date_offset = get_date_offset();
        $template->set_file('admin', 'admin/news/view_submitted.htpl');
        $template->set_block('admin', 'NEWS_BLOCK', 'news');
        $sql->query('SELECT ' . TABLE_NEWS . '.news_date, ' . TABLE_NEWS . '.news_id, ' . TABLE_NEWS . '.news_subject, ' . TABLE_USERS . '.user_id, ' . TABLE_USERS . '.user_name
                     FROM ' . TABLE_NEWS . ', ' . TABLE_USERS . '
                     WHERE ' . TABLE_NEWS . '.news_active = \'0\'
                     AND ' . TABLE_NEWS . '.user_id = ' . TABLE_USERS . '.user_id
                     ORDER BY ' . $settings['news_order'] . ' DESC
                     LIMIT ' . $news_offset . ', ' . $news_per_page);
        while ($table_news = $sql->fetch())
        {
            $news_date = date($date_format, ($table_news['news_date'] + $date_offset));
            $template->set_var(array('ADD' => $lang['ADD'],
                                     'DELETE' => $lang['DELETE'],
                                     'NEWS_ID' => $table_news['news_id'],
                                     'NEWS_RELEASE' => sprintf($lang['ADMIN_NEWS_RELEASE'], $table_news['user_id'], $table_news['user_name'], $news_date),
                                     'NEWS_SUBJECT' => $table_news['news_subject']));
            $template->parse('NEWS_BLOCK', 'news', true);
        }
        $template->set_var(array('ADMIN_NEWS_HEADER2' => $lang['ADMIN_NEWS_HEADER2'],
                                 'ADMIN_NEWS_PAGES' => sprintf($lang['ADMIN_NEWS_PAGES'], $pages_list),
                                 'BACK_ADMIN_INDEX' => $lang['BACK_ADMIN_INDEX']));
        $template->parse('admin');
    }
    // Edit form
    elseif (isset($_GET['action']) && $_GET['action'] == 'edit_news')
    {
        if (!empty($_GET['news_id']))
        {
            $sql->query('SELECT ' . TABLE_CATEGORIES . '.category_id, ' . TABLE_NEWS . '.news_comments, ' . TABLE_NEWS . '.news_source, ' . TABLE_NEWS . '.news_subject, ' . TABLE_NEWS . '.news_text
                         FROM ' . TABLE_CATEGORIES . ', ' . TABLE_NEWS . '
                         WHERE ' . TABLE_CATEGORIES . '.category_id = ' . TABLE_NEWS . '.category_id
                         AND news_id = \'' . $_GET['news_id'] . '\'');
            $table_news = $sql->fetch();
            // Check news
            if (!$table_news['category_id'])
            {
                error_template($lang['ADMIN_QUERY_ERROR']);
            }
            else
            {
                $category_id_options = '';
                $sql->query('SELECT category_id, category_name
                             FROM ' . TABLE_CATEGORIES . '
                             WHERE category_level IN (\'0\', \'2\')
                             ORDER BY category_name');
                while ($table_categories = $sql->fetch())
                {
                    if ($table_categories['category_id'] == $table_news['category_id'])
                    {
                        $category_id_old = $table_categories['category_id'];
                        $category_id_options .= '<option value="' . $table_categories['category_id'] . '" selected="selected">' . $table_categories['category_name'] . '</option>';
                    }
                    else
                    {
                        $category_id_options .= '<option value="' . $table_categories['category_id'] . '">' . $table_categories['category_name'] . '</option>';
                    }
                }
                if ($settings['allow_html'] == 0)
                {
                    $html_support = $lang['HTML_DISABLED'];
                }
                else
                {
                    $html_support = $lang['HTML_ENABLED'];
                }
                $news_text = undo_smilies($table_news['news_text']);
                $news_text = undo_bbcodes($news_text);
                $news_source = undo_bbcodes($table_news['news_source']);
                $template->set_file('admin', 'admin/news/edit.htpl');
                $template->set_var(array('ADMIN_NEWS_HEADER5' => $lang['ADMIN_NEWS_HEADER5'],
                                         'BACK_ADMIN_INDEX' => $lang['BACK_ADMIN_INDEX'],
                                         'CATEGORY_ID_OLD' => $category_id_old,
                                         'CATEGORY_ID_OPTIONS' => $category_id_options,
                                         'EDIT' => $lang['EDIT'],
                                         'FORM_NEWS_CATEGORY' => $lang['FORM_NEWS_CATEGORY'],
                                         'FORM_NEWS_SOURCE' => $lang['FORM_NEWS_SOURCE'],
                                         'FORM_NEWS_SUBJECT' => $lang['FORM_NEWS_SUBJECT'],
                                         'FORM_NEWS_TEXT' => $lang['FORM_NEWS_TEXT'],
                                         'HTML_SUPPORT' => $html_support,
                                         'NEWS_COMMENTS' => $table_news['news_comments'],
                                         'NEWS_ID' => $_GET['news_id'],
                                         'NEWS_SOURCE' => $news_source,
                                         'NEWS_SUBJECT' => $table_news['news_subject'],
                                         'NEWS_TEXT' => $news_text,
                                         'PREVIEW' => $lang['PREVIEW'],
                                         'SMILIES_LIST' => get_smilies_list(0)));
                $template->parse('admin');
            }
        }
        else
        {
            error_template($lang['ADMIN_QUERY_ERROR']);
        }
    }
    // Edit (or preview) ?
    elseif (isset($_POST['edit_news']) || isset($_POST['preview_edited_news']))
    {
        $error = '';
        if (!trim($_POST['news_subject']))
        {
            $error .= $lang['NO_NEWS_SUBJECT'];
        }
        if (!trim($_POST['news_text']))
        {
            $error .= $lang['NO_NEWS_TEXT'];
        }
        if ($error)
        {
            error_template($error);
        }
        else
        {
            $news_subject = chars2entities($_POST['news_subject'], ENT_QUOTES);
            if ($settings['allow_html'] == 0)
            {
                $news_source = chars2entities($_POST['news_source'], ENT_QUOTES);
                $news_text = chars2entities($_POST['news_text'], ENT_QUOTES);
            }
            else
            {
                $news_source = do_html($_POST['news_source']);
                $news_text = do_html($_POST['news_text']);
            }
            $temp = $news_source;
            $temp2 = $news_text;
            $news_source = make_clickable($news_source);
            $news_text = make_clickable($news_text);
            $news_source = do_bbcodes($news_source);
            $news_text = do_bbcodes($news_text);
            if ($settings['allow_smilies'] != 0)
            {
                $news_text = do_smilies($news_text);
            }
            // Preview form
            if (isset($_POST['preview_edited_news']))
            {
                $date_format = get_date_format();
                $date_offset = get_date_offset();
                $news_date = date($date_format, (time() + $date_offset));
                // News (HTML)
                $news_subject = stripslashes($news_subject);
                if (!empty($_POST['news_source']))
                {
                    $news_source = stripslashes($news_source);
                    $news_source = undo_escape_sequences($news_source);
                    $news_source = sprintf($lang['NEWS_INDEX_SOURCE'], $news_source);
                }
                else
                {
                    $news_source = '<!-- empty -->';
                }
                $news_text = stripslashes($news_text);
                $news_text = undo_escape_sequences($news_text);
                // Form
                $news_source2 = stripslashes($temp);
                $news_text2 = stripslashes($temp2);
                if ($settings['allow_html'] == 0)
                {
                    $html_support = $lang['HTML_DISABLED'];
                }
                else
                {
                    $html_support = $lang['HTML_ENABLED'];
                }
                $category_id_options = '';
                $sql->query('SELECT category_id, category_image, category_name
                             FROM ' . TABLE_CATEGORIES . '
                             WHERE category_level IN (\'0\', \'2\')
                             ORDER BY category_name');
                while ($table_categories = $sql->fetch())
                {
                    if ($table_categories['category_id'] == $_POST['category_id'])
                    {
                        $category_id_options .= '<option value="' . $table_categories['category_id'] . '" selected="selected">' . $table_categories['category_name'] . '</option>';
                        $category_image = $table_categories['category_image'];
                        $category_name = $table_categories['category_name'];
                    }
                    else
                    {
                        $category_id_options .= '<option value="' . $table_categories['category_id'] . '">' . $table_categories['category_name'] . '</option>';
                    }
                }
                $template->set_file('admin', 'admin/news/preview_edited.htpl');
                $template->set_var(array('ADMIN_NEWS_HEADER1' => $lang['ADMIN_NEWS_HEADER1'],
                                         'ADMIN_NEWS_RELEASE' => sprintf($lang['ADMIN_NEWS_RELEASE'], $_SESSION['user_id'], $users['user_name'], $news_date),
                                         'BACK_ADMIN_INDEX' => $lang['BACK_ADMIN_INDEX'],
                                         'CATEGORY_ID' => $_POST['category_id'],
                                         'CATEGORY_ID_OLD' => $_POST['category_id_old'],
                                         'CATEGORY_ID_OPTIONS' => $category_id_options,
                                         'CATEGORY_IMAGE' => $category_image,
                                         'CATEGORY_NAME' => $category_name,
                                         'EDIT' => $lang['EDIT'],
                                         'FORM_NEWS_CATEGORY' => $lang['FORM_NEWS_CATEGORY'],
                                         'FORM_NEWS_SOURCE' => $lang['FORM_NEWS_SOURCE'],
                                         'FORM_NEWS_SUBJECT' => $lang['FORM_NEWS_SUBJECT'],
                                         'FORM_NEWS_TEXT' => $lang['FORM_NEWS_TEXT'],
                                         'HTML_SUPPORT' => $html_support,
                                         'NEWS_COMMENTS' => $_POST['news_comments'],
                                         'NEWS_ID' => $_POST['news_id'],
                                         'NEWS_INDEX_COMMENT' => $lang['NEWS_INDEX_COMMENT'],
                                         'NEWS_INDEX_SEND' => $lang['NEWS_INDEX_SEND'],
                                         'NEWS_SOURCE' => $news_source,
                                         'NEWS_SOURCE2' => $news_source2,
                                         'NEWS_SUBJECT' => $news_subject,
                                         'NEWS_TEXT' => $news_text,
                                         'NEWS_TEXT2' => $news_text2,
                                         'PREVIEW' => $lang['PREVIEW'],
                                         'SMILIES_LIST' => get_smilies_list(0)));
                $template->parse('admin');
            }
            // Add form
            else
            {
                $sql->query('UPDATE ' . TABLE_NEWS . '
                             SET category_id = \'' . $_POST['category_id'] . '\', news_subject = \'' . $news_subject . '\', news_text = \'' . $news_text . '\', news_source = \'' . $news_source . '\'
                             WHERE news_id = \'' . $_POST['news_id'] . '\'');
                if ($_POST['category_id'] != $_POST['category_id_old'])
                {
                    $sql->query('UPDATE ' . TABLE_CATEGORIES . '
                                 SET category_news = category_news + 1
                                 WHERE category_id = \'' . $_POST['category_id'] . '\'');
                    $sql->query('UPDATE ' . TABLE_CATEGORIES . '
                                 SET category_news = category_news - 1
                                 WHERE category_id = \'' . $_POST['category_id_old'] . '\'');
                }
                make_news_rss();
                success_template($lang['ADMIN_NEWS_EDITED'], './../admin/index.php');
            }
        }
    }
    // Delete ?
    elseif (isset($_GET['action']) && $_GET['action'] == 'delete_news')
    {
        if (!empty($_GET['news_id']))
        {
            $sql->query('SELECT category_id, news_comments
                         FROM ' . TABLE_NEWS . '
                         WHERE news_id = \'' . $_GET['news_id'] . '\'');
            $table_news = $sql->fetch();
            // Check news
            if (!$table_news['category_id'])
            {
                error_template($lang['ADMIN_QUERY_ERROR']);
            }
            else
            {
                if ($table_news['news_comments'] != 0)
                {
                    error_template($lang['ADMIN_NEWS_ERROR']);
                }
                else
                {
                    $sql->query('UPDATE ' . TABLE_CATEGORIES . '
                                 SET category_news = category_news - 1
                                 WHERE category_id = \'' . $table_news['category_id'] . '\'');
                    $sql->query('DELETE FROM ' . TABLE_NEWS . '
                                 WHERE news_id = \'' . $_GET['news_id'] . '\'');
                    make_news_rss();
                    success_template($lang['ADMIN_NEWS_DELETED'], './../admin/index.php');
                }
            }
        }
        else
        {
            error_template($lang['ADMIN_QUERY_ERROR']);
        }
    }
    // Delete submitted ?
    elseif (isset($_GET['action']) && $_GET['action'] == 'delete_submitted_news')
    {
        if (!empty($_GET['news_id']))
        {
            $sql->query('DELETE FROM ' . TABLE_NEWS . '
                         WHERE news_id = \'' . $_GET['news_id'] . '\'');
            success_template($lang['ADMIN_NEWS_DELETED'], './../admin/index.php');
        }
        else
        {
            error_template($lang['ADMIN_QUERY_ERROR']);
        }
    }
    // Add form
    else
    {
        $category_id_options = '';
        $sql->query('SELECT category_id, category_name
                     FROM ' . TABLE_CATEGORIES . '
                     WHERE category_level IN (\'0\', \'2\')
                     ORDER BY category_name');
        while ($table_categories = $sql->fetch())
        {
            $category_id_options .= '<option value="' . $table_categories['category_id'] . '">' . $table_categories['category_name'] . '</option>';
        }
        if ($settings['allow_html'] == 0)
        {
            $html_support = $lang['HTML_DISABLED'];
        }
        else
        {
            $html_support = $lang['HTML_ENABLED'];
        }
        $template->set_file('admin', 'admin/news/add.htpl');
        $template->set_var(array('ADD' => $lang['ADD'],
                                 'ADMIN_NEWS_HEADER1' => $lang['ADMIN_NEWS_HEADER1'],
                                 'BACK_ADMIN_INDEX' => $lang['BACK_ADMIN_INDEX'],
                                 'CATEGORY_ID_OPTIONS' => $category_id_options,
                                 'FORM_NEWS_CATEGORY' => $lang['FORM_NEWS_CATEGORY'],
                                 'FORM_NEWS_SOURCE' => $lang['FORM_NEWS_SOURCE'],
                                 'FORM_NEWS_SUBJECT' => $lang['FORM_NEWS_SUBJECT'],
                                 'FORM_NEWS_TEXT' => $lang['FORM_NEWS_TEXT'],
                                 'HTML_SUPPORT' => $html_support,
                                 'PREVIEW' => $lang['PREVIEW'],
                                 'SMILIES_LIST' => get_smilies_list(0)));
        $template->parse('admin');
    }
}
// Other
else
{
    error_template($lang['ADMIN_LEVEL_ERROR']);
}

page_footer();

?>