<?php
// -----------------------------------------------------------------------
//
// $Id: submit.php 2 2012-01-24 17:39:30Z raoul $
//
// Copyright (C) 2003-2012 Raoul Proena
// License: GNU GPL version 3 (see copying.txt file)
// Website: http://www.gnew.fr/
//
// -----------------------------------------------------------------------
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// -----------------------------------------------------------------------

include('./../includes/common.php');

page_header($lang['NEWS_SUBMIT_TITLE']);

// Submit function enabled ?
if ($settings['submit_news'] == 0)
{
    error_template($lang['NEWS_SUBMIT_DISABLED']);
}
// User logged ?
elseif ($_SESSION['user_id'] != 0)
{
    // From submit form ?
    if (isset($_POST['submit']))
    {
        $error = '';
        $sql->query('SELECT user_id
                     FROM ' . TABLE_NEWS . '
                     WHERE user_id = \'' . $_SESSION['user_id'] . '\'
                     AND news_active = \'0\'');
        $table_news = $sql->fetch();
        // Check previous submit of the user
        if ($table_news['user_id'])
        {
            $error .= $lang['NEWS_SUBMIT_ERROR1'];
        }
        else
        {
            // Categories not created yet ?
            if (empty($_POST['category_id']))
            {
                $error .= $lang['NO_CATEGORY_NAME'];
            }
            if (!trim($_POST['news_subject']))
            {
                $error .= $lang['NO_NEWS_SUBJECT'];
            }
            if (!trim($_POST['news_text']))
            {
                $error .= $lang['NO_NEWS_TEXT'];
            }
        }
        if ($error)
        {
            error_template($error);
        }
        else
        {
            if ($settings['allow_html'] == 0)
            {
                $news_source = chars2entities($_POST['news_source'], ENT_QUOTES);
                $news_text = chars2entities($_POST['news_text'], ENT_QUOTES);
            }
            else
            {
                $news_source = do_html($_POST['news_source']);
                $news_text = do_html($_POST['news_text']);
            }
            $news_source = make_clickable($news_source);
            $news_text = make_clickable($news_text);
            $news_source = do_bbcodes($news_source);
            $news_text = do_bbcodes($news_text);
            if ($settings['allow_smilies'] != 0)
            {
                $news_text = do_smilies($news_text);
            }
            $sql->query('INSERT INTO ' . TABLE_NEWS . ' (category_id, user_id, news_subject, news_text, news_source, news_date, news_month, news_year)
                         VALUES (\'' . $_POST['category_id'] . '\', \'' . $_SESSION['user_id'] . '\', \'' . chars2entities($_POST['news_subject'], ENT_QUOTES) . '\', \'' . $news_text . '\', \'' . $news_source . '\', \'' . time() . '\', \'' . date('m', time()) . '\', \'' . date('Y', time()) . '\')');
            success_template($lang['NEWS_SUBMIT_SUCCESS'], './../index.php');
        }
    }
    // Submit form
    else
    {
        $category_name_options = '';
        $sql->query('SELECT category_id, category_name
                     FROM ' . TABLE_CATEGORIES . '
                     WHERE category_level IN (\'0\', \'2\')
                     ORDER BY category_name');
        while ($table_categories = $sql->fetch())
        {
            $category_name_options .= '<option value="' . $table_categories['category_id'] . '">' . $table_categories['category_name'] . '</option>';
        }
        if ($settings['allow_html'] == 0)
        {
            $html_support = $lang['HTML_DISABLED'];
        }
        else
        {
            $html_support = $lang['HTML_ENABLED'];
        }
        $template->set_file('submit', 'news/submit.htpl');
        $template->set_var(array('BACK_HOME' => $lang['BACK_HOME'],
                                 'CATEGORY_NAME_OPTIONS' => $category_name_options,
                                 'FORM_NEWS_CATEGORY' => $lang['FORM_NEWS_CATEGORY'],
                                 'FORM_NEWS_SOURCE' => $lang['FORM_NEWS_SOURCE'],
                                 'FORM_NEWS_SUBJECT' => $lang['FORM_NEWS_SUBJECT'],
                                 'FORM_NEWS_TEXT' => $lang['FORM_NEWS_TEXT'],
                                 'HTML_SUPPORT' => $html_support,
                                 'NEWS_SUBMIT_HEADER' => $lang['NEWS_SUBMIT_HEADER'],
                                 'SMILIES_LIST' => get_smilies_list(0),
                                 'SUBMIT' => $lang['SUBMIT']));
        $template->parse('submit');
    }
}
else
{
    error_template($lang['NEWS_SUBMIT_ERROR2']);
}

page_footer();

?>