<?php
// -----------------------------------------------------------------------
//
// $Id: add.php 62 2012-02-17 11:15:07Z raoul $
//
// Copyright (C) 2003-2012 Raoul Proena
// License: GNU GPL version 3 (see copying.txt file)
// Website: http://www.gnew.fr/
//
// -----------------------------------------------------------------------
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// -----------------------------------------------------------------------

include('./../includes/common.php');

page_header($lang['POSTS_ADD_TITLE']);

// User logged ?
if ($_SESSION['user_id'] != 0)
{
    // Add or preview forms ?
    if (isset($_POST['add_post']) || isset($_POST['preview_post']))
    {
        // Thread start - post will be set active
        if (empty($_POST['thread_id']))
        {
            $post_active = true;
        }
        // Addition of posts
        else
        {
            // First post of a thread (post_id = thread_id)
            $sql->query('SELECT post_active
                         FROM ' . TABLE_POSTS . '
                         WHERE post_id = \'' . $_POST['thread_id'] . '\'');
            $table_posts = $sql->fetch();
            // Closed thread ?
            if ($table_posts['post_active'] != 0)
            {
                $post_active = true;
            }
            else
            {
                $post_active = false;
            }
        }
        // Evaluates to true or false
        if ($post_active)
        {
            $error = '';
            if (!trim($_POST['post_subject']))
            {
                $error .= $lang['NO_POST_SUBJECT'];
            }
            if (!trim($_POST['post_text']))
            {
                $error .= $lang['NO_POST_TEXT'];
            }
            // Anti-flood
            $sql->query('SELECT MAX(post_creation) AS last_post
                         FROM ' . TABLE_POSTS . '
                         WHERE user_id = \'' . $_SESSION['user_id'] . '\'');
            $table_posts = $sql->fetch();
            if ($table_posts['last_post'] >= (time() - $settings['posts_interval']))
            {
                $error .= sprintf($lang['POSTS_ADD_ERROR1'], $settings['posts_interval']);
            }
            if ($error)
            {
                error_template($error);
            }
            else
            {
                $post_subject = chars2entities($_POST['post_subject'], ENT_QUOTES);
                if ($settings['allow_html'] == 0)
                {
                    $post_text = chars2entities($_POST['post_text'], ENT_QUOTES);
                }
                else
                {
                    $post_text = do_html($_POST['post_text']);
                }
                $temp = $post_text;
                $post_text = make_clickable($post_text);
                $post_text = do_bbcodes($post_text);
                if ($settings['allow_smilies'] != 0)
                {
                    $post_text = do_smilies($post_text);
                }
                // Preview form
                if (isset($_POST['preview_post']))
                {
                    $date_format = get_date_format();
                    $date_offset = get_date_offset();
                    $post_creation = date($date_format, (time() + $date_offset));
                    // Post (HTML)
                    $post_subject = stripslashes($post_subject);
                    $post_text = stripslashes($post_text);
                    $post_text = undo_escape_sequences($post_text);
                    // Form
                    $post_text2 = stripslashes($temp);
                    if ($settings['allow_html'] == 0)
                    {
                        $html_support = $lang['HTML_DISABLED'];
                    }
                    else
                    {
                        $html_support = $lang['HTML_ENABLED'];
                    }
                    $template->set_file('preview', 'posts/preview.htpl');
                    $template->set_var(array('ADD' => $lang['ADD'],
                                             'BACK_HOME' => $lang['BACK_HOME'],
                                             'CATEGORY_ID' => $_POST['category_id'],
                                             'FORM_POST_SUBJECT' => $lang['FORM_POST_SUBJECT'],
                                             'FORM_POST_TEXT' => $lang['FORM_POST_TEXT'],
                                             'HTML_SUPPORT' => $html_support,
                                             'POST_SUBJECT' => $post_subject,
                                             'POST_TEXT' => $post_text,
                                             'POST_TEXT2' => $post_text2,
                                             'POSTS_PREVIEW_HEADER' => $lang['POSTS_PREVIEW_HEADER'],
                                             'POSTS_PREVIEW_RELEASE' => sprintf($lang['POSTS_PREVIEW_RELEASE'], $_SESSION['user_id'], $users['user_name'], $post_creation),
                                             'PREVIEW' => $lang['PREVIEW'],
                                             'SMILIES_LIST' => get_smilies_list(0),
                                             'USER_AVATAR' => $users['user_avatar']));
                    if (empty($_POST['thread_id']))
                    {
                        $template->set_var(array('HIDDEN_SUBJECT' => '',
                                                 'HIDDEN_THREAD' => '',
                                                 'POST_SUBJECT2' => '<input type="text" name="post_subject" size="25" maxlength="128" value="' . $post_subject . '" />&nbsp;<span class="asterisk">*</span>'));
                    }
                    else
                    {
                        $template->set_var(array('HIDDEN_SUBJECT' => '<input type="hidden" value="' . $post_subject . '" name="post_subject" />',
                                                 'HIDDEN_THREAD' => '<input type="hidden" value="' . $_POST['thread_id'] . '" name="thread_id" />',
                                                 'POST_SUBJECT2' => '<span style="font-weight: bold">' . $post_subject . '</span>'));
                    }
                    $template->parse('preview');
                }
                // Add form
                else
                {
                    $sql->query('INSERT INTO ' . TABLE_POSTS . ' (category_id, user_id, post_subject, post_text, post_creation, post_active)
                                 VALUES (\'' . $_POST['category_id'] . '\', \'' . $_SESSION['user_id'] . '\', \'' . $post_subject . '\', \'' . $post_text . '\', \'' . time() . '\', \'1\')');
                    $id = $sql->insert_id();
                    // Start a thread
                    if (empty($_POST['thread_id']))
                    {
                        $sql->query('UPDATE ' . TABLE_POSTS . '
                                     SET thread_id = \'' . $id . '\'
                                     WHERE post_id = \'' . $id . '\'');
                        $sql->query('UPDATE ' . TABLE_CATEGORIES . '
                                     SET category_posts = category_posts + 1, category_threads = category_threads + 1
                                     WHERE category_id = \'' . $_POST['category_id'] . '\'');
                    }
                    // Add post to thread - post_sticky is set by admin
                    else
                    {
                        // First post of the thread
                        $sql->query('SELECT post_sticky
                                     FROM ' . TABLE_POSTS . '
                                     WHERE post_id = \'' . $_POST['thread_id'] . '\'');
                        $table_posts = $sql->fetch();
                        $sql->query('UPDATE ' . TABLE_POSTS . '
                                     SET thread_id = \'' . $_POST['thread_id'] . '\', post_sticky = \'' . $table_posts['post_sticky'] . '\'
                                     WHERE post_id = \'' . $id . '\'');
                        $sql->query('UPDATE ' . TABLE_CATEGORIES . '
                                     SET category_posts = category_posts + 1
                                     WHERE category_id = \'' . $_POST['category_id'] . '\'');
                    }
                    $sql->query('UPDATE ' . TABLE_USERS . '
                                 SET user_posts = user_posts + 1, user_ip = \'' . $_SERVER['REMOTE_ADDR'] . '\'
                                 WHERE user_id = \'' . $_SESSION['user_id'] . '\'');
                    // Redirect to new thread
                    if (empty($_POST['thread_id']))
                    {
                        success_template($lang['POSTS_ADD_SUCCESS'], './../posts/read.php?category_id=' . $_POST['category_id'] . '&thread_id=' . $id);
                    }
                    // Redirect to existing thread
                    else
                    {
                        success_template($lang['POSTS_ADD_SUCCESS'], './../posts/read.php?category_id=' . $_POST['category_id'] . '&thread_id=' . $_POST['thread_id']);
                    }
                }
            }
        }
        else
        {
            error_template($lang['POSTS_ADD_ERROR2']);
        }
    }
    else
    {
        error_template($lang['POSTS_ADD_ERROR3']);
    }
}
else
{
    error_template($lang['POSTS_ADD_ERROR4']);
}

page_footer();

?>