# -----------------------------------------------------------------------
#
# $Id: 2012.0-sqlite.sql 120 2012-03-22 22:36:32Z raoul $
#
# Copyright (C) 2003-2012 Raoul Proena
# License: GNU GPL version 3 (see copying.txt file)
# Website: http://www.gnew.fr/
#
# -----------------------------------------------------------------------
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# -----------------------------------------------------------------------

# QUESTIONS

CREATE TABLE tmp_genu_questions (
    question_id INTEGER UNSIGNED NOT NULL,
    question_text CHARACTER VARYING(512) NOT NULL DEFAULT '',
    question_votes INTEGER UNSIGNED NOT NULL DEFAULT '0',
    question_comment TEXT NOT NULL DEFAULT '',
    PRIMARY KEY (question_id)
);

INSERT INTO tmp_genu_questions (question_id, question_text, question_votes)
SELECT question_id, question_text, question_votes
FROM genu_questions;

DROP TABLE genu_questions;

CREATE TABLE genu_questions (
    question_id INTEGER UNSIGNED NOT NULL,
    question_text CHARACTER VARYING(512) NOT NULL DEFAULT '',
    question_votes INTEGER UNSIGNED NOT NULL DEFAULT '0',
    question_comment TEXT NOT NULL DEFAULT '',
    PRIMARY KEY (question_id)
);

INSERT INTO genu_questions (question_id, question_text, question_votes)
SELECT question_id, question_text, question_votes
FROM tmp_genu_questions;

DROP TABLE tmp_genu_questions;

# SESSIONS

CREATE TABLE tmp_genu_sessions (
    session_id CHARACTER VARYING(32) NOT NULL DEFAULT '',
    session_expiry INTEGER UNSIGNED NOT NULL DEFAULT '0',
    session_data CHARACTER VARYING(64) NOT NULL DEFAULT ''
);

INSERT INTO tmp_genu_sessions (session_id, session_expiry)
SELECT session_id, session_expiry
FROM genu_sessions;

DROP TABLE genu_sessions;

CREATE TABLE genu_sessions (
    session_id CHARACTER VARYING(32) NOT NULL DEFAULT '',
    session_expiry INTEGER UNSIGNED NOT NULL DEFAULT '0',
    session_data CHARACTER VARYING(64) NOT NULL DEFAULT ''
);

INSERT INTO genu_sessions (session_id, session_expiry)
SELECT session_id, session_expiry
FROM tmp_genu_sessions;

DROP TABLE tmp_genu_sessions;

# USERS

CREATE TABLE tmp_genu_users (
    user_id INTEGER UNSIGNED NOT NULL,
    user_level CHARACTER(1) NOT NULL DEFAULT '1',
    user_name CHARACTER VARYING(512) NOT NULL DEFAULT '',
    user_password CHARACTER VARYING(40) NOT NULL DEFAULT '',
    user_email CHARACTER VARYING(256) NOT NULL DEFAULT '',
    user_viewemail CHARACTER(1) NOT NULL DEFAULT '0',
    user_website CHARACTER VARYING(256) NOT NULL DEFAULT '',
    user_location CHARACTER VARYING(512) NOT NULL DEFAULT '',
    user_occupation CHARACTER VARYING(512) NOT NULL DEFAULT '',
    user_comments INTEGER UNSIGNED NOT NULL DEFAULT '0',
    user_posts INTEGER UNSIGNED NOT NULL DEFAULT '0',
    user_votes INTEGER UNSIGNED NOT NULL DEFAULT '0',
    user_creation INTEGER UNSIGNED NOT NULL DEFAULT '0',
    user_ip CHARACTER VARYING(15) NOT NULL DEFAULT '',
    user_language CHARACTER VARYING(32) NOT NULL DEFAULT 'english',
    user_template CHARACTER VARYING(32) NOT NULL DEFAULT 'default',
    user_date_format CHARACTER VARYING(32) NOT NULL DEFAULT 'D, M jS Y, g:i a',
    user_date_offset CHARACTER VARYING(3) NOT NULL DEFAULT '0',
    user_lastvisit INTEGER UNSIGNED NOT NULL DEFAULT '0',
    user_key CHARACTER VARYING(40) NOT NULL DEFAULT '',
    user_day CHARACTER VARYING(2) NOT NULL DEFAULT '0',
    user_month CHARACTER VARYING(2) NOT NULL DEFAULT '0',
    user_year CHARACTER VARYING(4) NOT NULL DEFAULT '0',
    PRIMARY KEY (user_id)
);

INSERT INTO tmp_genu_users (user_id, user_level, user_name, user_password, user_email, user_viewemail, user_website, user_location, user_occupation, user_comments, user_posts, user_votes, user_creation, user_ip, user_language, user_template, user_date_format, user_date_offset, user_lastvisit, user_key)
SELECT user_id, user_level, user_name, user_password, user_email, user_viewemail, user_website, user_location, user_occupation, user_comments, user_posts, user_votes, user_creation, user_ip, user_language, user_template, user_date_format, user_date_offset, user_lastvisit, user_key
FROM genu_users;

DROP TABLE genu_users;

CREATE TABLE genu_users (
    user_id INTEGER UNSIGNED NOT NULL,
    user_level CHARACTER(1) NOT NULL DEFAULT '1',
    user_name CHARACTER VARYING(512) NOT NULL DEFAULT '',
    user_password CHARACTER VARYING(40) NOT NULL DEFAULT '',
    user_email CHARACTER VARYING(256) NOT NULL DEFAULT '',
    user_viewemail CHARACTER(1) NOT NULL DEFAULT '0',
    user_website CHARACTER VARYING(256) NOT NULL DEFAULT '',
    user_location CHARACTER VARYING(512) NOT NULL DEFAULT '',
    user_occupation CHARACTER VARYING(512) NOT NULL DEFAULT '',
    user_comments INTEGER UNSIGNED NOT NULL DEFAULT '0',
    user_posts INTEGER UNSIGNED NOT NULL DEFAULT '0',
    user_votes INTEGER UNSIGNED NOT NULL DEFAULT '0',
    user_creation INTEGER UNSIGNED NOT NULL DEFAULT '0',
    user_ip CHARACTER VARYING(15) NOT NULL DEFAULT '',
    user_language CHARACTER VARYING(32) NOT NULL DEFAULT 'english',
    user_template CHARACTER VARYING(32) NOT NULL DEFAULT 'default',
    user_date_format CHARACTER VARYING(32) NOT NULL DEFAULT 'D, M jS Y, g:i a',
    user_date_offset CHARACTER VARYING(3) NOT NULL DEFAULT '0',
    user_lastvisit INTEGER UNSIGNED NOT NULL DEFAULT '0',
    user_key CHARACTER VARYING(40) NOT NULL DEFAULT '',
    user_day CHARACTER VARYING(2) NOT NULL DEFAULT '0',
    user_month CHARACTER VARYING(2) NOT NULL DEFAULT '0',
    user_year CHARACTER VARYING(4) NOT NULL DEFAULT '0',
    PRIMARY KEY (user_id)
);

INSERT INTO genu_users (user_id, user_level, user_name, user_password, user_email, user_viewemail, user_website, user_location, user_occupation, user_comments, user_posts, user_votes, user_creation, user_ip, user_language, user_template, user_date_format, user_date_offset, user_lastvisit, user_key)
SELECT user_id, user_level, user_name, user_password, user_email, user_viewemail, user_website, user_location, user_occupation, user_comments, user_posts, user_votes, user_creation, user_ip, user_language, user_template, user_date_format, user_date_offset, user_lastvisit, user_key
FROM tmp_genu_users;

DROP TABLE tmp_genu_users;

# END